Page MenuHomePhabricator

eina: move builtin detection to eina_config.h
ClosedPublic

Authored by bu5hm4n on Apr 4 2019, 1:24 AM.

Details

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Apr 4 2019, 1:24 AM
bu5hm4n requested review of this revision.Apr 4 2019, 1:24 AM
vtorri added a comment.Apr 4 2019, 2:41 AM

S you consider that, if byteswap.h exists, then the functions bswap_** exist ?

That is what we use in eina_cpu_include.x yes.

zmike added inline comments.Apr 17 2019, 5:22 AM
src/lib/eina/eina_config.h.in
31

Are there platforms which would reach this point?

There was a complain on the ML from the last two days that this is only supported by gcc > 5 so it looks like there are systems that are going there.

zmike requested changes to this revision.Apr 19 2019, 6:00 AM

I'd guess that means LTS distros or something. I don't think we can make this switch in full now. Leave the meson.build parts as the #else block for now and it can be removed later.

This revision now requires changes to proceed.Apr 19 2019, 6:00 AM

Mhm, that would not work, it appears that I did a mistake when I wrote the meson part. I checked for the bswap function but I should have checked for the builtin. However if I do check it with the builtin check, then meson will use the has_builtin() so then both values would depend on that function. I even think that meson could not handle anything without available has_attribute ...

bu5hm4n requested review of this revision.Apr 20 2019, 6:05 AM
zmike accepted this revision.May 21 2019, 9:28 AM

yolo

This revision is now accepted and ready to land.May 21 2019, 9:28 AM
Closed by commit rEFL1f0ae2e349b7: eina: move builtin detection to eina_config.h (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 21 2019, 9:29 AM
This revision was automatically updated to reflect the committed changes.